---
layout: lesson
root: .
---

Good data organization is the foundation of any research project. Most 
researchers have data in spreadsheets, so it's the place that many research
projects start. 

We organize data in spreadsheets in the ways that we as humans want to work with the data, 
but computers require that data be organized in particular ways. In order
to use tools that make computation more efficient, such as programming 
languages like R or Python, we need to structure our data the way that 
computers need the data. Since this is where most research projects start, 
this is where we want to start too!

In this lesson, you will learn:

- Good data entry practices - formatting data tables in spreadsheets
- How to avoid common formatting mistakes
- Approaches for handling dates in spreadsheets
- Basic quality control and data manipulation in spreadsheets
- Exporting data from spreadsheets

Much of your time as a researcher will be spent in this 'data wrangling' 
stage. It's not the most fun, but it is necessary. In this lesson you will 
learn how to think about data organization and some practices for more 
effective data wrangling. With this approach you can better format current data
and plan new data collection so less data wrangling is needed.


> ## Getting Started
>
> Data Carpentry's teaching is hands-on, so participants are encouraged to use
> their own computers to insure the proper setup of tools for an efficient 
> workflow. <br>**These lessons assume no prior knowledge of the skills or tools.**
>
> To get started, follow the directions in the "[Setup](setup/)" tab to 
> download data to your computer and follow any installation instructions.
>
> #### Prerequisites
>
> This lesson requires a working copy of spreadsheet software, like Microsoft 
> Excel or LibreOffice.
> <br>To most effectively use these materials, please make sure to install 
> everything *before* working through this lesson.
{: .prereq}

> ## For Instructors
> If you are teaching this lesson in a workshop, please see the 
> [Instructor notes](guide/).
{: .prereq}
